package com.ejie.ab61.model.inicioOficioExp;


import com.ejie.x38.serialization.JsonDateDeserializer;
import com.ejie.x38.serialization.JsonDateSerializer;
import com.fasterxml.jackson.databind.annotation.JsonDeserialize;
import com.fasterxml.jackson.databind.annotation.JsonSerialize;
import java.util.Date;

/**
 * RelExpOriDes  
 *  
 */

public class RelExpOriDes  implements java.io.Serializable {

	private static final long serialVersionUID = 1L;
            private Integer idRelExpOriDes;
            private Integer idExpedienteOrigen;
            private String folderIdOrigen;
            private String folderIdDestino;
            private Date fechaRegistro;
            private String usuarioRegistro;

	/** 
	 * Method 'RelExpOriDes'.
	 */
    public RelExpOriDes() {
    }


	
    
    /** 
     * Method 'RelExpOriDes'.
     * @param idRelExpOriDes Integer
     */    
     public RelExpOriDes(Integer idRelExpOriDes) {
          this.idRelExpOriDes = idRelExpOriDes;
	}

    

    /** 
     * Method 'RelExpOriDes'.
     * @param idRelExpOriDes Integer
     * @param idExpedienteOrigen Integer
     * @param folderIdOrigen String
     * @param folderIdDestino String
     * @param fechaRegistro Date
     * @param usuarioRegistro String
     */
   public RelExpOriDes(Integer idRelExpOriDes, Integer idExpedienteOrigen, String folderIdOrigen, String folderIdDestino, Date fechaRegistro, String usuarioRegistro) {	

           this.idRelExpOriDes = idRelExpOriDes;
           this.idExpedienteOrigen = idExpedienteOrigen;
           this.folderIdOrigen = folderIdOrigen;
           this.folderIdDestino = folderIdDestino;
           this.fechaRegistro = fechaRegistro;
           this.usuarioRegistro = usuarioRegistro;
    }

    /**
	 * Method 'getIdRelExpOriDes'.
	 *
	 * @return Integer
	 */
	
	
	public Integer getIdRelExpOriDes() {
		return this.idRelExpOriDes;
	}

	/**
	 * Method 'setIdRelExpOriDes'.
	 *
	 * @param idRelExpOriDes Integer
	 * @return
     */
	
	public void setIdRelExpOriDes(Integer idRelExpOriDes) {
		this.idRelExpOriDes = idRelExpOriDes;
	}
    /**
	 * Method 'getIdExpedienteOrigen'.
	 *
	 * @return Integer
	 */
	
	
	public Integer getIdExpedienteOrigen() {
		return this.idExpedienteOrigen;
	}

	/**
	 * Method 'setIdExpedienteOrigen'.
	 *
	 * @param idExpedienteOrigen Integer
	 * @return
     */
	
	public void setIdExpedienteOrigen(Integer idExpedienteOrigen) {
		this.idExpedienteOrigen = idExpedienteOrigen;
	}
    /**
	 * Method 'getFolderIdOrigen'.
	 *
	 * @return String
	 */
	
	
	public String getFolderIdOrigen() {
		return this.folderIdOrigen;
	}

	/**
	 * Method 'setFolderIdOrigen'.
	 *
	 * @param folderIdOrigen String
	 * @return
     */
	
	public void setFolderIdOrigen(String folderIdOrigen) {
		this.folderIdOrigen = folderIdOrigen;
	}
    /**
	 * Method 'getFolderIdDestino'.
	 *
	 * @return String
	 */
	
	
	public String getFolderIdDestino() {
		return this.folderIdDestino;
	}

	/**
	 * Method 'setFolderIdDestino'.
	 *
	 * @param folderIdDestino String
	 * @return
     */
	
	public void setFolderIdDestino(String folderIdDestino) {
		this.folderIdDestino = folderIdDestino;
	}
    /**
	 * Method 'getFechaRegistro'.
	 *
	 * @return java.util.Date
	 */
	
	@JsonSerialize(using = JsonDateSerializer.class)
	public Date getFechaRegistro() {
		return this.fechaRegistro;
	}

	/**
	 * Method 'setFechaRegistro'.
	 *
	 * @param fechaRegistro java.util.Date
	 * @return
     */
	@JsonDeserialize(using = JsonDateDeserializer.class)
	public void setFechaRegistro(Date fechaRegistro) {
		this.fechaRegistro = fechaRegistro;
	}
    /**
	 * Method 'getUsuarioRegistro'.
	 *
	 * @return String
	 */
	
	
	public String getUsuarioRegistro() {
		return this.usuarioRegistro;
	}

	/**
	 * Method 'setUsuarioRegistro'.
	 *
	 * @param usuarioRegistro String
	 * @return
     */
	
	public void setUsuarioRegistro(String usuarioRegistro) {
		this.usuarioRegistro = usuarioRegistro;
	}

	/**
	 * Intended only for logging and debugging.
	 * 
	 * Here, the contents of every main field are placed into the result.
	 * @return String
	 */
	@Override
	public String toString() {
		StringBuilder result = new StringBuilder();
		result.append(this.getClass().getName()).append(" Object { " ); 
		result.append(" [ idRelExpOriDes: ").append(this.idRelExpOriDes).append(" ]");
		result.append(", [ idExpedienteOrigen: ").append(this.idExpedienteOrigen).append(" ]");
		result.append(", [ folderIdOrigen: ").append(this.folderIdOrigen).append(" ]");
		result.append(", [ folderIdDestino: ").append(this.folderIdDestino).append(" ]");
		result.append(", [ fechaRegistro: ").append(this.fechaRegistro).append(" ]");
		result.append(", [ usuarioRegistro: ").append(this.usuarioRegistro).append(" ]");
		result.append("}");
		return result.toString();
	}


}

